Bug 1459886 - Additional volume creation,shows up the volume entry with default volume type as arbiter
Additional volume creation,shows up the volume entry with default volume type...
Status: VERIFIED
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy (Show other bugs)
0.10.7-0.0.18
x86_64 Linux
medium Severity medium
: ovirt-4.1.5
: 0.10.7-0.0.22
Assigned To: Devyani Kota
RamaKasturi
:
Depends On:
Blocks: Gluster-HC-3
  Show dependency treegraph
 
Reported: 2017-06-08 08:59 EDT by SATHEESARAN
Modified: 2017-08-16 09 EDT (History)
5 users (show)

See Also:
Fixed In Version: cockpit-ovirt-0.10.7-0.0.22
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sasundar: ovirt‑4.1?
sasundar: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
New volume creation has arbiter checkbox checked (41.05 KB, image/png)
2017-06-08 09:00 EDT, SATHEESARAN
no flags Details
Deleting all volumes, then creating volume also has arbiter checkbox enabled (30.92 KB, image/png)
2017-06-08 09:02 EDT, SATHEESARAN
no flags Details
Adding new volume to the existing volume list screenshot (120.35 KB, image/png)
2017-08-16 09:34 EDT, RamaKasturi
no flags Details
Adding new volumes after deleting all the existing ones (89.58 KB, image/png)
2017-08-16 09:35 EDT, RamaKasturi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79891 master MERGED dashboard: make the new volume type non-arbiter by default 2017-07-31 15:33 EDT
oVirt gerrit 79894 ovirt-4.1 MERGED dashboard: make the new volume type non-arbiter by default 2017-07-31 15:33 EDT

  None (edit)
Description SATHEESARAN 2017-06-08 08:59:16 EDT
Description of problem:
-----------------------
The 'volumes' tab of 'Hosted Engine with Gluster' deployment wizard, shows up the three volumes by default - engine, vmstore, data

Consider the following two scenarios:
1. When existing volume entries are deleted and newly entries are made
2. When additional volume entries are created.

In the above two cases, the volume entries are listed with volume type as 'arbiter' (i.e) arbiter checkbox is checked.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
ovirt-cockpit-dashboard-0.10.7-0.0.18

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Start 'Hosted Engine with Gluster' deployment
2. On 'Volumes' tab, add one more volume entry

(or)
1. Start 'Hosted Engine with Gluster' deployment
2. On 'Volumes' tab, delete all the existing volume entry, add one more volume entry

Actual results:
---------------
New volume entry shows up, with arbiter checkbox checked

Expected results:
-----------------
New volume entry should not have the arbiter checkbox checked
Comment 1 SATHEESARAN 2017-06-08 09:00 EDT
Created attachment 1286146 [details]
New volume creation has arbiter checkbox checked

The screenshot shows that the new volume creation entry has the arbiter checkbox checked
Comment 2 SATHEESARAN 2017-06-08 09:02 EDT
Created attachment 1286147 [details]
Deleting all volumes, then creating volume also has arbiter checkbox enabled

This is another scenario, where deleting all the existing volume entries and creating the new volume entry again has the arbiter checkbox enabled
Comment 3 RamaKasturi 2017-08-16 09:33:36 EDT
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.23.el7ev.noarch.

Tested the scenario where all the volumes are deleted and tried creating a new volume and arbiter check box is not checked by default. Attaching screenshot for the same.

Tested the scenario where addition of new volume is done to the existing volume and arbiter check box is not checked by default. Attaching screenshot for the same.
Comment 4 RamaKasturi 2017-08-16 09:34 EDT
Created attachment 1314124 [details]
Adding new volume to the existing volume list screenshot
Comment 5 RamaKasturi 2017-08-16 09:35 EDT
Created attachment 1314125 [details]
Adding new volumes after deleting all the existing ones

Note You need to log in before you can comment on or make changes to this bug.